Bug 67513 - [patch] Update XFree86 server to 4.4 release
Summary: [patch] Update XFree86 server to 4.4 release
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-x11 (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-06-03 04:00 UTC by Dejan Lesjak
Modified: 2004-08-10 02:51 UTC (History)
0 users

See Also:


Attachments
XFree86-4-Server.diff.gz (23.74 KB, text/plain)
2004-06-03 04:00 UTC, Dejan Lesjak
no flags Details
XFree86-4-Server_am64.patch (663 bytes, patch)
2004-07-25 05:12 UTC, Dejan Lesjak
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dejan Lesjak 2004-06-03 04:00:47 UTC
Update XFree86 server to 4.4 release.
Release notes are available at:
http://www.xfree86.org/4.4.0/RELNOTES.html

added files:
pkg-install
files/patch-GL-Imakefile
files/patch-Xext-saver.c
files/patch-programs::Xserver::Xext::Imakefile
files/patch-radeon_driver.c

removed files:
files/patch-Pci.h
files/patch-Sbus.c
files/patch-bsd-Imakefile
files/patch-bsd-bsdResource.c
files/patch-bsd_Imakefile
files/patch-bus-Imakefile
files/patch-bus_Imakefile
files/patch-compiler.h
files/patch-elfloader.c
files/patch-freebsdPci.c
files/patch-ftfuncs.c
files/patch-int10-generic.c
files/patch-libc_wrapper.c
files/patch-loader-Imakefile
files/patch-loader-elfloader.c
files/patch-loader.c
files/patch-mga_dri.c
files/patch-mga_driver.c
files/patch-nv_driver.c
files/patch-nv_setup.c
files/patch-os-support_Imakefile
files/patch-r128_driver.c
files/patch-radeon_cursor.c
files/patch-radeon_dri.c
files/patch-savage-pci-id
files/patch-smi
files/patch-sunffb_Imakefile
files/patch-xc::lib::font::fontfile
files/patch-xf86-common-Imakefile
files/patch-xf86Events.c
files/patch-xf86Sbus.h
files/patch-xf86sym.c
files/patch-xkbInit.c

This update is based on XFree86-4-Server-snap port and is mainly work of
Eric Anholt (anholt AT FreeBSD DOT org).
Comment 1 Clement Laforet freebsd_committer 2004-06-03 13:01:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->x11

Over to maintainer(s).
Comment 2 Dejan Lesjak 2004-07-25 05:12:38 UTC
The graphics/dri port does not build on amd64, therefore the attached patch to 
Makefile is necessary to remove dependancy. The patch applies after previous 
one.
Comment 3 Joe Marcus Clarke freebsd_committer 2004-08-10 02:50:08 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 4 Joe Marcus Clarke freebsd_committer 2004-08-10 02:50:08 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 5 Joe Marcus Clarke freebsd_committer 2004-08-10 02:50:08 UTC
State Changed
From-To: open->closed

Committed, thanks!